package cn.estsh.i3plus.pojo.base.enumutil;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-23 16:10
 * @Modify :
 **/
public class ImppEnumUtil {

    /**
     * 组织类型
     * 1.集团，2.公司，3.工厂
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORGANIZE_YTPE{

        TYPE_GROUP(1,"集团","组织类型为集团"),
        TYPE_COMPANY(2,"公司","组织类型为公司"),
        TYPE_FACTORY(3,"工厂","组织类型为集团"),
        ;

        private int value;
        private String name;
        private String description;

        ORGANIZE_YTPE() {
        }

        ORGANIZE_YTPE(int value, String name, String description) {
            this.value = value;
            this.name = name;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getName() {
            return name;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfCode(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].name;
                }
            }
            return tmp;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static String codeOfDescription(String code) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].name.equals(code)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }


    /**
     * 组织类型
     * 1.Java Class 方法
     * 2.Http URL
     * 3.权限CODE
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum TASK_METHOD_TYPE{
        TYPE_GROUP(1,"类方法","Java Class 方法"),
        TYPE_COMPANY(2,"链接","Http URL"),
        TYPE_FACTORY(3,"权限CODE","权限CODE"),
        ;

        private int value;
        private String name;
        private String description;

        TASK_METHOD_TYPE() {
        }

        TASK_METHOD_TYPE(int value, String name, String description) {
            this.value = value;
            this.name = name;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getName() {
            return name;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfCode(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].name;
                }
            }
            return tmp;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static String codeOfDescription(String code) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].name.equals(code)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

}
