package cn.estsh.i3plus.pojo.model.flatform;

import cn.estsh.i3plus.pojo.platform.bean.*;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Set;


/**
 * @Description : 用户封装对象
 * <pre>
 *      用户对象        </br>
 *      用户详细对象    </br>
 *      角色对象        </br>
 *      部门对象        </br>
 *      组织对象        </br>
 *      岗位对象        </br>
 * </pre>
 *
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-25 16:54
 * @Modify :
 **/
@Data
public class UserModel {

    @ApiParam("用户对象信息")
    private SysUser user;

    @ApiParam("用户对象信息")
    private SysUserInfo userInfo;

    @ApiParam(value = "角色信息",access = "用户所拥有岗位信息集合")
    private List<SysRole> roles;

    @ApiParam(value = "角色信息",access = "用户所拥有岗位信息")
    private SysRole role;

    @ApiParam(value = "岗位信息",access = "用户所拥有岗位信息")
    private Position position;

    @ApiParam(value = "部门信息",access = "用户所拥有部门信息")
    private Department department;

    @ApiParam(value = "组织信息",access = "用户所拥有的组织信息")
    private Organize organize;

}
