package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 组织
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.923
 * @Modify      :
 **/
@Data
@Entity
@Table(name="ORGANIZE")
@DynamicInsert
@DynamicUpdate
@Api(value="组织",description = "组织")
public class Organize extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="ORGANIZE_CODE")
    @ApiParam(value ="组织代码" , access ="组织代码")
    private String organizeCode;
 
    @Column(name="ORGANIZE_TYPE_ID")
    @ApiParam(value ="组织类型ID（1.集团，2.公司，3.工厂）" , example ="1" , access ="组织类型ID（1.集团，2.公司，3.工厂）")
    private Integer organizeTypeId;
 
    @Column(name="PARENT_ID")
    @ApiParam(value ="父节点" , access ="父节点" ,example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentId;
 
    @Column(name="RED_PARENT_NAME")
    @ApiParam(value ="父节点" , access ="父节点")
    private String redParentName;
 
    @Column(name="ORGANIZE_DESCRIPTION")
    @ApiParam(value ="组织描述" , access ="组织描述")
    private String organizeDescription;
 
    @Column(name="ORGANIZE_SORT")
    @ApiParam(value ="排序" , example ="1" , access ="排序")
    private Integer organizeSort;
 
    @Column(name="ORGANIZE_STATUS")
    @ApiParam(value ="组织状态（1.正常，2.禁用）" , example ="1" , access ="组织状态（1.正常，2.禁用）")
    private Integer organizeStatus;

}
