package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 关系-用户部门
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.239
 * @Modify      :
 **/
@Data
@Entity
@Table(name="REF_USER_DEPARTMENT")
@DynamicInsert
@DynamicUpdate
@Api(value="关系-用户部门",description = "关系-用户部门")
public class RefUserDepartment extends BaseBean {

 
    @Column(name="USER_ID")
    @ApiParam(value ="用户ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;
 
    @Column(name="DEPARTMENT_ID")
    @ApiParam(value ="部门ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long departmentId;
 
    @Column(name="RED_DEPARTMENT_NAME")
    @ApiParam(value ="部门名称" , access ="部门名称")
    private String redDepartmentName;

    public RefUserDepartment() {
    }

    public RefUserDepartment(Long userId, Long departmentId, String redDepartmentName) {
        this.userId = userId;
        this.departmentId = departmentId;
        this.redDepartmentName = redDepartmentName;
    }
}
