package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 关系-用户岗位
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.341
 * @Modify      :
 **/
@Data
@Entity
@Table(name="REF_USER_POSITION")
@DynamicInsert
@DynamicUpdate
@Api(value="关系-用户岗位",description = "关系-用户岗位")
public class RefUserPosition extends BaseBean {

    @Column(name="USER_ID")
    @ApiParam(value ="用户ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;
 
    @Column(name="POSITION_ID")
    @ApiParam(value ="岗位ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long positionId;
 
    @Column(name="RED_POSITION_NAME")
    @ApiParam(value ="岗位名称" , access ="岗位名称")
    private String redPositionName;

    public RefUserPosition() {
    }

    public RefUserPosition(Long userId, Long positionId, String redPositionName) {
        this.userId = userId;
        this.positionId = positionId;
        this.redPositionName = redPositionName;
    }
}
