package cn.estsh.i3plus.pojo.platform.bean;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 操作人对象，用于登陆，非持久化
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
@Data
public class SessionUser implements Serializable {

    @ApiParam("用户工号")
    private String userCode;

    @ApiParam("用户姓名")
    private String userName;

    @ApiParam("语言代码")
    private String languageCode;

    @ApiParam("用户类型")
    //CommonEnumUtil.USER_TYPE.xxx.getCode()
    private String userType;

    @ApiParam("用户信息")
    private SysUser user;

    @ApiParam("用户对象信息")
    private SysUser userInfo;

    @ApiParam(value = "角色信息",access = "用户所拥有岗位信息集合")
    private List<SysRole> roleList;

    @ApiParam(value = "岗位信息",access = "用户所拥有岗位信息集合")
    private List<Position> positionList;

    @ApiParam(value = "部门信息",access = "用户所有用部门信息集合")
    private List<Department> departmentList;

    @ApiParam(value = "组织信息",access = "用户所拥有的组织信息集合")
    private Organize organize;

    public SessionUser() {
    }

    public SessionUser(String userCode, String userName, String siteCode) {
        this.userCode = userCode;
        this.userName = userName;

    }

    public SessionUser(String userCode, String userName, String siteCode, String languageCode, String userType) {
        this.userCode = userCode;
        this.userName = userName;
        this.languageCode = languageCode;
        this.userType = userType;
    }

}
