package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 用户详细
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.910
 * @Modify      :
 **/
@Data
@Entity
@Table(name="SYS_USER_INFO")
@DynamicInsert
@DynamicUpdate
@Api(value="用户详细",description = "用户详细")
public class SysUserInfo extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="USER_ID")
    @ApiParam(value ="用户ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @Column(name="LANGUAGE_CODE")
    @ApiParam(value ="用户语言")
    private String languageCode;

    @Column(name="RED_DEPARTMENT_NAMES")
    @ApiParam(value ="部门集合" , access ="部门集合")
    private String redDepartmentNames;

    @Column(name="RED_POSITION_NAMES")
    @ApiParam(value ="岗位集合" , access ="岗位集合")
    private String redPositionNames;

    @Column(name="RED_ROLE_NAMES")
    @ApiParam(value ="角色集合" , access ="角色集合")
    private String redRoleNames;

    @Column(name="RED_ORGANIZE_NAMES")
    @ApiParam(value ="组织集合" , access ="组织集合")
    private String redOrganizeNames;

    @Column(name="USER_IMAGE_ID")
    @ApiParam(value ="用户图像" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userImageId;
 
    @Column(name="USER_SEX")
    @ApiParam(value ="性别（1.男，2.女）" , example ="1" , access ="性别（1.男，2.女）")
    private Integer userSex;
 
    @Column(name="USER_AGE")
    @ApiParam(value ="年龄" , example ="1" , access ="年龄")
    private Integer userAge;
 


}
