package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 定时任务执行记录
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.992
 * @Modify      :
 **/
@Data
@Entity
@Table(name="TASK_TIME_RECORDING")
@DynamicInsert
@DynamicUpdate
@Api(value="定时任务执行记录",description = "定时任务执行记录")
public class TaskTimeRecording extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="任务名称" , access ="任务名称")
    private String name;
 
    @Column(name="TIMED_TASK_ID")
    @ApiParam(value ="任务编号" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private String timedTaskId;
 
    @Column(name="RED_TIME_ID")
    @ApiParam(value ="时间表达式ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private String redTimeId;
 
    @Column(name="RED_TIME_EXPRESSION")
    @ApiParam(value ="时间表达式" , access ="时间表达式")
    private String redTimeExpression;
 
    @Column(name="TASK_START_DATE_TIME")
    @ApiParam(value ="任务开始时间" , access ="任务开始时间")
    private String taskStartDateTime;
 
    @Column(name="TASK_END_DATE_TIME")
    @ApiParam(value ="任务结束时间" , access ="任务结束时间")
    private String taskEndDateTime;
 
    @Column(name="TASK_STATUS")
    @ApiParam(value ="任务完成情况" , access ="任务完成情况")
    private String taskStatus;
 
    @Column(name="TASK_LOG")
    @ApiParam(value ="任务日志" , access ="任务日志")
    private String taskLog;
 
    @Column(name="TASK_LOG_ERROR")
    @ApiParam(value ="任务异常日志" , access ="任务异常日志")
    private String taskLogError;

}
