package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 硬件设备表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:44.033
 * @Modify      :
 **/
@Data
@Entity
@Table(name="TOOL")
@DynamicInsert
@DynamicUpdate
@Api(value="硬件设备表",description = "硬件设备表")
public class Tool extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="TOOL_TYPE_ID")
    @ApiParam(value ="类型ID" , example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long toolTypeId;
 
    @Column(name="RED_TOOL_TYPE_NAME")
    @ApiParam(value ="类型名称" , access ="类型名称")
    private String redToolTypeName;
 
    @Column(name="TOOL_STATUS")
    @ApiParam(value ="设备状态（1.正常，2.禁用）" , example ="1" , access ="设备状态（1.正常，2.禁用）")
    private Integer toolStatus;
 
    @Column(name="TOOL_HOST")
    @ApiParam(value ="IP地址" , access ="IP地址")
    private String toolHost;
 
    @Column(name="TOOL_PORT")
    @ApiParam(value ="端口" , example ="80" , access ="端口")
    private Integer toolPort;
 
    @Column(name="TOOL_CONN_TYPE")
    @ApiParam(value ="连接方式（1.网口，2.串口，3.USB......）" , example ="1" , access ="连接方式（1.网口，2.串口，3.USB......）")
    private Integer toolConnType;
 
    @Column(name="TOOL_DATA_TYPE")
    @ApiParam(value ="传输数据类型（1.字符串，2.二进制数据流....）" , example ="1" , access ="传输数据类型（1.字符串，2.二进制数据流....）")
    private Integer toolDataType;
 
    @Column(name="TOOL_OPERATING")
    @ApiParam(value ="操作内容" , access ="操作内容")
    private String toolOperating;
 
    @Column(name="TOOL_DESCRIPTION")
    @ApiParam(value ="描述" , access ="描述")
    private String toolDescription;

}
